language: cn
model_unique_abbr: cpm
version: 1.0

identification:
  docker_image_name: cpm:1.0
  model_name: 重叠社区探测
  semantic: overlapping community detection
  category_application: 诊断型
  category_data:
    - 表格数据
  description: 基于cpm算法将网络划分为多个重叠的社区
  keywords: 
    - 社区发现

parameter_info:
  parameters:
    - arg_name: graph_data
      is_single_en_dash: false
      param_type: input_data
      name: 图数据
      description: 输入的图数据，前两列为节点，第三列为边。
      data_type: csv
      data_semantic: graph_data
      
    - arg_name: k
      is_single_en_dash: false
      param_type: param
      name: 团的大小
      description: 团渗透算法中团的大小，一般为3-6
      data_type: int
      data_semantic: the size of clique
      specification:
        default: 3  

    - arg_name: output_path
      is_single_en_dash: false
      param_type: output_data
      name: 输出路径
      description: 社区划分结果，每行代表一个社区
      data_type: txt
      data_semantic: output data   



application:
  domain: 社区发现
  objective: 对网络数据进行重叠社区发现
  mechanism: 使用cpm算法进行社区发现

operation:
  usage: 该算法需要3个参数，使用cpm算法进行社区发现
  exec_example: 
    - docker run -it -v $(pwd)/data:/data cpm:1.0 --graph_data /data/1.csv --output_path /data/
  license: 
    - BSD

technique:
  language:
  - Python
  os: 
  - Linux
  - Windows  
  dependencies:
    - name: networkx
      version: 2.5

source:
  maintainer: Zhaoyuhui Hulingjie
  organization: Wuhan University
  contact: 9027575@qq.com
  integrated_softwares:
    - name: networkx
      version: 2.5
      license: BSD
  references:
    - Palla G, Derényi I, Farkas I, et al. Uncovering the overlapping community structure of complex networks in nature and society[J]. Nature, 2005, 435(7043):814.
    - https://networkx.org/documentation/stable/